/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#ifndef _EXCEL_TYPES_H_
#define _EXCEL_TYPES_H_

#pragma once

#include "ExcelClone.h"

namespace AutomateIT
{
    namespace ExcelClone
    {
        class CApplication;

        typedef CComPtr<CApplication> CApplicationPtr;

        class CWorksheet;

        typedef CComObject<CWorksheet> CWorksheetObject;
        typedef CComPtr<CWorksheet> CWorksheetPtr;
    }
}


#endif // _EXCEL_TYPES_H_
