/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#include "stdafx.h"
#include "WordFont.h"

using namespace AutomateIT;
using namespace AutomateIT::WordClone;

CWordFont::CWordFont()
{
	TRACINGMETHOD;
}

CWordFont::~CWordFont()
{
	TRACINGMETHOD;
}

STDMETHODIMP CWordFont::get_Application(IApplication** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Creator(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Parent(LPDISPATCH* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Duplicate(_Font** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Bold(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Bold(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Italic(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Italic(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Hidden(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Hidden(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_SmallCaps(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_SmallCaps(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_AllCaps(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_AllCaps(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_StrikeThrough(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_StrikeThrough(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_DoubleStrikeThrough(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_DoubleStrikeThrough(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_ColorIndex(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_ColorIndex(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Subscript(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Subscript(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Superscript(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Superscript(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Underline(WdUnderline* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Underline(WdUnderline prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Size(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Size(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Name(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Name(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Position(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Position(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Spacing(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Spacing(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Scaling(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Scaling(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Shadow(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Shadow(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Outline(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Outline(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Emboss(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Emboss(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Kerning(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Kerning(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Engrave(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Engrave(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Animation(WdAnimation* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Animation(WdAnimation prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Borders(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Borders(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Shading(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_EmphasisMark(WdEmphasisMark* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_EmphasisMark(WdEmphasisMark prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_DisableCharacterSpaceGrid(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_DisableCharacterSpaceGrid(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_NameFarEast(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_NameFarEast(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_NameAscii(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_NameAscii(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_NameOther(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_NameOther(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::Grow()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::Shrink()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::Reset()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::SetAsTemplateDefault()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_Color(WdColor* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_Color(WdColor prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_BoldBi(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_BoldBi(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_ItalicBi(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_ItalicBi(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_SizeBi(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_SizeBi(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_NameBi(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_NameBi(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_ColorIndexBi(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_ColorIndexBi(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_DiacriticColor(WdColor* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_DiacriticColor(WdColor prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::get_UnderlineColor(WdColor* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordFont::put_UnderlineColor(WdColor prop)
{
    TRACINGMETHOD;
    return S_OK;
}