
/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#include "StdAfx.h"
#include "WordOptions.h"

using namespace AutomateIT;
using namespace AutomateIT::WordClone;

CWordOptions::CWordOptions()
{
	TRACINGMETHOD;
}

CWordOptions::~CWordOptions()
{
	TRACINGMETHOD;
}

STDMETHODIMP CWordOptions::get_Application(IApplication** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_Creator(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_Parent(LPDISPATCH* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AllowAccentedUppercase(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AllowAccentedUppercase(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_WPHelp(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_WPHelp(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_WPDocNavKeys(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_WPDocNavKeys(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_Pagination(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_Pagination(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_BlueScreen(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_BlueScreen(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_EnableSound(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_EnableSound(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ConfirmConversions(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ConfirmConversions(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_UpdateLinksAtOpen(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_UpdateLinksAtOpen(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SendMailAttach(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SendMailAttach(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MeasurementUnit(WdMeasurementUnits* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MeasurementUnit(WdMeasurementUnits prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ButtonFieldClicks(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ButtonFieldClicks(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ShortMenuNames(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ShortMenuNames(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_RTFInClipboard(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_RTFInClipboard(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_UpdateFieldsAtPrint(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_UpdateFieldsAtPrint(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintProperties(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintProperties(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintFieldCodes(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintFieldCodes(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintComments(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintComments(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintHiddenText(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintHiddenText(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_EnvelopeFeederInstalled(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_UpdateLinksAtPrint(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_UpdateLinksAtPrint(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintBackground(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintBackground(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintDrawingObjects(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintDrawingObjects(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultTray(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultTray(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultTrayID(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultTrayID(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_CreateBackup(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_CreateBackup(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AllowFastSave(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;

    *prop = VARIANT_FALSE;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AllowFastSave(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SavePropertiesPrompt(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SavePropertiesPrompt(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SaveNormalPrompt(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SaveNormalPrompt(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SaveInterval(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SaveInterval(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_BackgroundSave(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_BackgroundSave(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_InsertedTextMark(WdInsertedTextMark* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_InsertedTextMark(WdInsertedTextMark prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DeletedTextMark(WdDeletedTextMark* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DeletedTextMark(WdDeletedTextMark prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_RevisedLinesMark(WdRevisedLinesMark* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_RevisedLinesMark(WdRevisedLinesMark prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_InsertedTextColor(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_InsertedTextColor(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DeletedTextColor(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DeletedTextColor(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_RevisedLinesColor(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_RevisedLinesColor(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultFilePath(WdDefaultFilePath Path, BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultFilePath(WdDefaultFilePath Path, BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_Overtype(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_Overtype(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ReplaceSelection(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ReplaceSelection(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AllowDragAndDrop(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AllowDragAndDrop(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoWordSelection(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoWordSelection(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_INSKeyForPaste(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_INSKeyForPaste(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SmartCutPaste(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SmartCutPaste(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_TabIndentKey(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_TabIndentKey(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PictureEditor(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PictureEditor(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AnimateScreenMovements(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AnimateScreenMovements(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_VirusProtection(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_VirusProtection(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_RevisedPropertiesMark(WdRevisedPropertiesMark* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_RevisedPropertiesMark(WdRevisedPropertiesMark prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_RevisedPropertiesColor(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_RevisedPropertiesColor(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SnapToGrid(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SnapToGrid(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SnapToShapes(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SnapToShapes(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_GridDistanceHorizontal(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_GridDistanceHorizontal(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_GridDistanceVertical(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_GridDistanceVertical(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_GridOriginHorizontal(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_GridOriginHorizontal(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_GridOriginVertical(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_GridOriginVertical(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_InlineConversion(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_InlineConversion(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_IMEAutomaticControl(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_IMEAutomaticControl(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatApplyHeadings(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatApplyHeadings(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatApplyLists(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatApplyLists(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatApplyBulletedLists(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatApplyBulletedLists(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatApplyOtherParas(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatApplyOtherParas(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatReplaceQuotes(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatReplaceQuotes(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatReplaceSymbols(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatReplaceSymbols(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatReplaceOrdinals(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatReplaceOrdinals(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatReplaceFractions(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatReplaceFractions(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatReplacePlainTextEmphasis(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatReplacePlainTextEmphasis(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatPreserveStyles(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatPreserveStyles(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeApplyHeadings(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeApplyHeadings(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeApplyBorders(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeApplyBorders(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeApplyBulletedLists(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeApplyBulletedLists(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeApplyNumberedLists(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeApplyNumberedLists(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeReplaceQuotes(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeReplaceQuotes(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeReplaceSymbols(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeReplaceSymbols(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeReplaceOrdinals(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeReplaceOrdinals(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeReplaceFractions(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeReplaceFractions(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeReplacePlainTextEmphasis(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeReplacePlainTextEmphasis(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeFormatListItemBeginning(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeFormatListItemBeginning(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeDefineStyles(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeDefineStyles(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatPlainTextWordMail(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatPlainTextWordMail(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeReplaceHyperlinks(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeReplaceHyperlinks(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatReplaceHyperlinks(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatReplaceHyperlinks(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultHighlightColorIndex(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultHighlightColorIndex(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultBorderLineStyle(WdLineStyle* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultBorderLineStyle(WdLineStyle prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_CheckSpellingAsYouType(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_CheckSpellingAsYouType(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_CheckGrammarAsYouType(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_CheckGrammarAsYouType(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_IgnoreInternetAndFileAddresses(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_IgnoreInternetAndFileAddresses(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ShowReadabilityStatistics(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ShowReadabilityStatistics(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_IgnoreUppercase(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_IgnoreUppercase(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_IgnoreMixedDigits(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_IgnoreMixedDigits(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SuggestFromMainDictionaryOnly(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SuggestFromMainDictionaryOnly(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SuggestSpellingCorrections(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SuggestSpellingCorrections(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultBorderLineWidth(WdLineWidth* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultBorderLineWidth(WdLineWidth prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_CheckGrammarWithSpelling(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_CheckGrammarWithSpelling(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultOpenFormat(WdOpenFormat* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultOpenFormat(WdOpenFormat prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintDraft(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintDraft(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintReverse(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintReverse(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MapPaperSize(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MapPaperSize(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeApplyTables(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeApplyTables(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatApplyFirstIndents(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatApplyFirstIndents(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatMatchParentheses(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatMatchParentheses(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatReplaceFarEastDashes(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatReplaceFarEastDashes(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatDeleteAutoSpaces(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatDeleteAutoSpaces(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeApplyFirstIndents(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeApplyFirstIndents(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeApplyDates(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeApplyDates(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeApplyClosings(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeApplyClosings(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeMatchParentheses(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeMatchParentheses(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeReplaceFarEastDashes(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeReplaceFarEastDashes(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeDeleteAutoSpaces(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeDeleteAutoSpaces(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeInsertClosings(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeInsertClosings(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeAutoLetterWizard(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeAutoLetterWizard(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoFormatAsYouTypeInsertOvers(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoFormatAsYouTypeInsertOvers(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DisplayGridLines(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DisplayGridLines(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyCase(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyCase(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyByte(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyByte(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyHiragana(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyHiragana(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzySmallKana(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzySmallKana(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyDash(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyDash(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyIterationMark(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyIterationMark(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyKanji(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyKanji(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyOldKana(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyOldKana(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyProlongedSoundMark(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyProlongedSoundMark(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyDZ(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyDZ(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyBV(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyBV(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyTC(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyTC(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyHF(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyHF(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyZJ(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyZJ(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyAY(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyAY(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyKiKu(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyKiKu(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzyPunctuation(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzyPunctuation(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MatchFuzzySpace(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MatchFuzzySpace(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ApplyFarEastFontsToAscii(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ApplyFarEastFontsToAscii(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ConvertHighAnsiToFarEast(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ConvertHighAnsiToFarEast(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintOddPagesInAscendingOrder(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintOddPagesInAscendingOrder(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintEvenPagesInAscendingOrder(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintEvenPagesInAscendingOrder(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultBorderColorIndex(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultBorderColorIndex(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_EnableMisusedWordsDictionary(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_EnableMisusedWordsDictionary(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AllowCombinedAuxiliaryForms(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AllowCombinedAuxiliaryForms(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_HangulHanjaFastConversion(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_HangulHanjaFastConversion(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_CheckHangulEndings(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_CheckHangulEndings(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_EnableHangulHanjaRecentOrdering(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_EnableHangulHanjaRecentOrdering(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MultipleWordConversionsMode(WdMultipleWordConversionsMode* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MultipleWordConversionsMode(WdMultipleWordConversionsMode prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::SetWPHelpOptions(VARIANT* CommandKeyHelp, VARIANT* DocNavigationKeys, VARIANT* MouseSimulation, VARIANT* DemoGuidance, VARIANT* DemoSpeed, VARIANT* HelpType)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultBorderColor(WdColor* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultBorderColor(WdColor prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AllowPixelUnits(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AllowPixelUnits(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_UseCharacterUnit(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_UseCharacterUnit(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AllowCompoundNounProcessing(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AllowCompoundNounProcessing(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoKeyboardSwitching(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoKeyboardSwitching(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DocumentViewDirection(WdDocumentViewDirection* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DocumentViewDirection(WdDocumentViewDirection prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ArabicNumeral(WdArabicNumeral* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ArabicNumeral(WdArabicNumeral prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_MonthNames(WdMonthNames* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_MonthNames(WdMonthNames prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_CursorMovement(WdCursorMovement* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_CursorMovement(WdCursorMovement prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_VisualSelection(WdVisualSelection* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_VisualSelection(WdVisualSelection prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ShowDiacritics(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ShowDiacritics(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ShowControlCharacters(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ShowControlCharacters(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AddControlCharacters(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AddControlCharacters(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AddBiDirectionalMarksWhenSavingTextFile(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AddBiDirectionalMarksWhenSavingTextFile(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_StrictInitialAlefHamza(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_StrictInitialAlefHamza(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_StrictFinalYaa(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_StrictFinalYaa(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_HebrewMode(WdHebSpellStart* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_HebrewMode(WdHebSpellStart prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ArabicMode(WdAraSpeller* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ArabicMode(WdAraSpeller prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AllowClickAndTypeMouse(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AllowClickAndTypeMouse(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_UseGermanSpellingReform(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_UseGermanSpellingReform(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_InterpretHighAnsi(WdHighAnsiText* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_InterpretHighAnsi(WdHighAnsiText prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AddHebDoubleQuote(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AddHebDoubleQuote(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_UseDiffDiacColor(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_UseDiffDiacColor(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DiacriticColorVal(WdColor* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DiacriticColorVal(WdColor prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_OptimizeForWord97byDefault(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_OptimizeForWord97byDefault(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_LocalNetworkFile(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_LocalNetworkFile(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_TypeNReplace(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_TypeNReplace(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SequenceCheck(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SequenceCheck(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_BackgroundOpen(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_BackgroundOpen(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DisableFeaturesbyDefault(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DisableFeaturesbyDefault(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PasteAdjustWordSpacing(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PasteAdjustWordSpacing(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PasteAdjustParagraphSpacing(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PasteAdjustParagraphSpacing(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PasteAdjustTableFormatting(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PasteAdjustTableFormatting(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PasteSmartStyleBehavior(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PasteSmartStyleBehavior(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PasteMergeFromPPT(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PasteMergeFromPPT(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PasteMergeFromXL(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PasteMergeFromXL(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_CtrlClickHyperlinkToOpen(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_CtrlClickHyperlinkToOpen(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PictureWrapType(WdWrapTypeMerged* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PictureWrapType(WdWrapTypeMerged prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DisableFeaturesIntroducedAfterbyDefault(WdDisableFeaturesIntroducedAfter* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DisableFeaturesIntroducedAfterbyDefault(WdDisableFeaturesIntroducedAfter prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PasteSmartCutPaste(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PasteSmartCutPaste(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DisplayPasteOptions(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DisplayPasteOptions(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PromptUpdateStyle(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PromptUpdateStyle(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultEPostageApp(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultEPostageApp(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DefaultTextEncoding(MsoEncoding* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DefaultTextEncoding(MsoEncoding prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_LabelSmartTags(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_LabelSmartTags(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_DisplaySmartTagButtons(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_DisplaySmartTagButtons(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_WarnBeforeSavingPrintingSendingMarkup(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_WarnBeforeSavingPrintingSendingMarkup(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_StoreRSIDOnSave(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_StoreRSIDOnSave(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ShowFormatError(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ShowFormatError(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_FormatScanning(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_FormatScanning(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PasteMergeLists(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PasteMergeLists(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AutoCreateNewDrawings(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AutoCreateNewDrawings(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SmartParaSelection(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SmartParaSelection(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_RevisionsBalloonPrintOrientation(WdRevisionsBalloonPrintOrientation* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_RevisionsBalloonPrintOrientation(WdRevisionsBalloonPrintOrientation prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_CommentsColor(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_CommentsColor(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintXMLTag(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintXMLTag(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_PrintBackgrounds(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_PrintBackgrounds(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_AllowReadingMode(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_AllowReadingMode(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_ShowMarkupOpenSave(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_ShowMarkupOpenSave(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::get_SmartCursoring(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordOptions::put_SmartCursoring(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}