
/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#include "stdafx.h"
#include "WordSelection.h"

using namespace AutomateIT;
using namespace AutomateIT::WordClone;

CWordSelection::CWordSelection()
{
	TRACINGMETHOD;
}

CWordSelection::~CWordSelection()
{
	TRACINGMETHOD;
}

STDMETHODIMP CWordSelection::get_Text(BSTR* prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::put_Text(BSTR prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::get_FormattedText(IDispatch** prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::put_FormattedText(IDispatch* prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::get_Start(long* prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::put_Start(long  prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::get_End(long* prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::put_End(long prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::get_Font(_Font** prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::put_Font(_Font* prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::get_Type(WdSelectionType* prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::get_StoryType(WdStoryType* prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordSelection::get_Style(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_Style(VARIANT* Index)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Tables(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Words(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Sentences(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Characters(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Footnotes(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Endnotes(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Comments(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Cells(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Sections(Sections** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Paragraphs(Paragraphs** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Borders(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_Borders(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Shading(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Fields(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_FormFields(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Frames(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_ParagraphFormat(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_ParagraphFormat(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_PageSetup(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_PageSetup(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Bookmarks(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_StoryLength(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_LanguageID(WdLanguageID* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_LanguageID(WdLanguageID prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_LanguageIDFarEast(WdLanguageID* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_LanguageIDFarEast(WdLanguageID prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_LanguageIDOther(WdLanguageID* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_LanguageIDOther(WdLanguageID prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Hyperlinks(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Columns(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Rows(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_HeaderFooter(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_IsEndOfRowMark(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_BookmarkID(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_PreviousBookmarkID(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Find(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Range(Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Information(WdInformation Type, VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Flags(WdSelectionFlags* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_Flags(WdSelectionFlags prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Active(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_StartIsActive(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_StartIsActive(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_IPAtEndOfLine(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_ExtendMode(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_ExtendMode(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_ColumnSelectMode(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_ColumnSelectMode(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Orientation(WdTextOrientation* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_Orientation(WdTextOrientation prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_InlineShapes(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Application(IApplication** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Creator(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Parent(LPDISPATCH* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Document(_Document** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_ShapeRange(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Select()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SetRange(long Start, long End)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Collapse(VARIANT* Direction)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertBefore(BSTR Text)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertAfter(BSTR Text)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Next(VARIANT* Unit, VARIANT* Count, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Previous(VARIANT* Unit, VARIANT* Count, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::StartOf(VARIANT* Unit, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::EndOf(VARIANT* Unit, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Move(VARIANT* Unit, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveStart(VARIANT* Unit, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveEnd(VARIANT* Unit, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveWhile(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveStartWhile(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveEndWhile(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveUntil(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveStartUntil(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveEndUntil(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Cut()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Copy()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Paste()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertBreak(VARIANT* Type)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertFile(BSTR FileName, VARIANT* Range, VARIANT* ConfirmConversions, VARIANT* Link, VARIANT* Attachment)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InStory(IDispatch* Range, VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InRange(IDispatch* Range, VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Delete(VARIANT* Unit, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Expand(VARIANT* Unit, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertParagraph()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertParagraphAfter()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::ConvertToTableOld(VARIANT* Separator, VARIANT* NumRows, VARIANT* NumColumns, VARIANT* InitialColumnWidth, VARIANT* Format, VARIANT* ApplyBorders, VARIANT* ApplyShading, VARIANT* ApplyFont, VARIANT* ApplyColor, VARIANT* ApplyHeadingRows, VARIANT* ApplyLastRow, VARIANT* ApplyFirstColumn, VARIANT* ApplyLastColumn, VARIANT* AutoFit, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertDateTimeOld(VARIANT* DateTimeFormat, VARIANT* InsertAsField, VARIANT* InsertAsFullWidth)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertSymbol(long CharacterNumber, VARIANT* Font, VARIANT* Unicode, VARIANT* Bias)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertCrossReference_2002(VARIANT* ReferenceType, WdReferenceKind ReferenceKind, VARIANT* ReferenceItem, VARIANT* InsertAsHyperlink, VARIANT* IncludePosition)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertCaptionXP(VARIANT* Label, VARIANT* Title, VARIANT* TitleAutoText, VARIANT* Position)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::CopyAsPicture()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SortOld(VARIANT* ExcludeHeader, VARIANT* FieldNumber, VARIANT* SortFieldType, VARIANT* SortOrder, VARIANT* FieldNumber2, VARIANT* SortFieldType2, VARIANT* SortOrder2, VARIANT* FieldNumber3, VARIANT* SortFieldType3, VARIANT* SortOrder3, VARIANT* SortColumn, VARIANT* Separator, VARIANT* CaseSensitive, VARIANT* LanguageID)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SortAscending()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SortDescending()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::IsEqual(IDispatch* Range, VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Calculate(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::GoTo(VARIANT* What, VARIANT* Which, VARIANT* Count, VARIANT* Name, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::GoToNext(WdGoToItem What, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::GoToPrevious(WdGoToItem What, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PasteSpecial(VARIANT* IconIndex, VARIANT* Link, VARIANT* Placement, VARIANT* DisplayAsIcon, VARIANT* DataType, VARIANT* IconFileName, VARIANT* IconLabel)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PreviousField(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::NextField(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertParagraphBefore()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertCells(VARIANT* ShiftCells)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Extend(VARIANT* Character)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Shrink()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveLeft(VARIANT* Unit, VARIANT* Count, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveRight(VARIANT* Unit, VARIANT* Count, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveUp(VARIANT* Unit, VARIANT* Count, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::MoveDown(VARIANT* Unit, VARIANT* Count, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::HomeKey(VARIANT* Unit, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::EndKey(VARIANT* Unit, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::EscapeKey()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::TypeText(BSTR bsText)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::CopyFormat()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PasteFormat()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::TypeParagraph()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::TypeBackspace()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::NextSubdocument()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PreviousSubdocument()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectColumn()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectCurrentFont()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectCurrentAlignment()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectCurrentSpacing()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectCurrentIndent()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectCurrentTabs()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectCurrentColor()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::CreateTextbox()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::WholeStory()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectRow()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SplitTable()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertRows(VARIANT* NumRows)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertColumns()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertFormula(VARIANT* Formula, VARIANT* NumberFormat)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::NextRevision(VARIANT* Wrap, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PreviousRevision(VARIANT* Wrap, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PasteAsNestedTable()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::CreateAutoTextEntry(BSTR Name, BSTR StyleName, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::DetectLanguage()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::SelectCell()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertRowsBelow(VARIANT* NumRows)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertColumnsRight()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertRowsAbove(VARIANT* NumRows)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::RtlRun()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::LtrRun()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::BoldRun()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::ItalicRun()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::RtlPara()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::LtrPara()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertDateTime(VARIANT* DateTimeFormat, VARIANT* InsertAsField, VARIANT* InsertAsFullWidth, VARIANT* DateLanguage, VARIANT* CalendarType)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Sort2000(VARIANT* ExcludeHeader, VARIANT* FieldNumber, VARIANT* SortFieldType, VARIANT* SortOrder, VARIANT* FieldNumber2, VARIANT* SortFieldType2, VARIANT* SortOrder2, VARIANT* FieldNumber3, VARIANT* SortFieldType3, VARIANT* SortOrder3, VARIANT* SortColumn, VARIANT* Separator, VARIANT* CaseSensitive, VARIANT* BidiSort, VARIANT* IgnoreThe, VARIANT* IgnoreKashida, VARIANT* IgnoreDiacritics, VARIANT* IgnoreHe, VARIANT* LanguageID)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::ConvertToTable(VARIANT* Separator, VARIANT* NumRows, VARIANT* NumColumns, VARIANT* InitialColumnWidth, VARIANT* Format, VARIANT* ApplyBorders, VARIANT* ApplyShading, VARIANT* ApplyFont, VARIANT* ApplyColor, VARIANT* ApplyHeadingRows, VARIANT* ApplyLastRow, VARIANT* ApplyFirstColumn, VARIANT* ApplyLastColumn, VARIANT* AutoFit, VARIANT* AutoFitBehavior, VARIANT* DefaultTableBehavior, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_NoProofing(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_NoProofing(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_TopLevelTables(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_LanguageDetected(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_LanguageDetected(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_FitTextWidth(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::put_FitTextWidth(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::ClearFormatting()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PasteAppendTable()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_HTMLDivisions(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_SmartTags(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_ChildShapeRange(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_HasChildShapeRange(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_FootnoteOptions(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_EndnoteOptions(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::ToggleCharacterCode()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PasteAndFormat(WdRecoveryType Type)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::PasteExcelTable(VARIANT_BOOL LinkedToExcel, VARIANT_BOOL WordFormatting, VARIANT_BOOL RTF)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::ShrinkDiscontiguousSelection()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertStyleSeparator()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::Sort(VARIANT* ExcludeHeader, VARIANT* FieldNumber, VARIANT* SortFieldType, VARIANT* SortOrder, VARIANT* FieldNumber2, VARIANT* SortFieldType2, VARIANT* SortOrder2, VARIANT* FieldNumber3, VARIANT* SortFieldType3, VARIANT* SortOrder3, VARIANT* SortColumn, VARIANT* Separator, VARIANT* CaseSensitive, VARIANT* BidiSort, VARIANT* IgnoreThe, VARIANT* IgnoreKashida, VARIANT* IgnoreDiacritics, VARIANT* IgnoreHe, VARIANT* LanguageID, VARIANT* SubFieldNumber, VARIANT* SubFieldNumber2, VARIANT* SubFieldNumber3)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_XMLNodes(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_XMLParentNode(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_Editors(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_XML(VARIANT_BOOL DataOnly, BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::get_EnhMetaFileBits(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::GoToEditableRange(VARIANT* EditorID, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertXML(BSTR XML, VARIANT* Transform)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertCaption(VARIANT* Label, VARIANT* Title, VARIANT* TitleAutoText, VARIANT* Position, VARIANT* ExcludeLabel)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordSelection::InsertCrossReference(VARIANT* ReferenceType, WdReferenceKind ReferenceKind, VARIANT* ReferenceItem, VARIANT* InsertAsHyperlink, VARIANT* IncludePosition, VARIANT* SeparateNumbers, VARIANT* SeparatorString)
{
    TRACINGMETHOD;
    return S_OK;
}